commit:     19ca752c4d859c3c4575f627dde86b5c74aac5a6
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  3 21:04:53 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jun  3 21:10:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19ca752c

media-gfx/flam3: minor tidying (mostly dropping static-libs)

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-gfx/flam3/flam3-3.1.1.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/media-gfx/flam3/flam3-3.1.1.ebuild 
b/media-gfx/flam3/flam3-3.1.1.ebuild
index 98af333a4fa..0b7b9d36304 100644
--- a/media-gfx/flam3/flam3-3.1.1.ebuild
+++ b/media-gfx/flam3/flam3-3.1.1.ebuild
@@ -2,6 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+
 inherit autotools
 
 DESCRIPTION="Tools and a library for creating flame fractal images"
@@ -11,7 +12,6 @@ 
SRC_URI="https://github.com/scottdraves/flam3/archive/v${PV}.tar.gz -> ${P}.tar.
 LICENSE="GPL-3"
 SLOT="0"
 KEYWORDS="amd64 x86"
-IUSE="static-libs"
 
 RDEPEND="dev-libs/libxml2
        media-libs/libpng:=
@@ -31,13 +31,13 @@ src_prepare() {
 src_configure() {
        econf \
                --enable-shared \
-               $(use_enable static-libs static)
+               --disable-static
 }
 
 src_install() {
        default
 
-       rm -f "${D}"usr/lib*/libflam3.la
+       find "${ED}" -name '*.la' -delete || die
 
        docinto examples
        dodoc *.flam3

Reply via email to